package com.ruoyi.system.domain.secreting;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;

import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 
 * @author Administrator
 * @TableName td_secreting
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdSecreting extends BaseEntity {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 文件url
     */
    private String fileUrl;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 定密依据
     */
    private String basis;

    /**
     * 定密责任人
     */
    private String responsible;

    /**
     * 知悉范围
     */
    private String scope;

    /**
     * 密级
     */
    private String secretDegree;

    /**
     * 保密期限
     */
    private String term;

    /**
     * 保密要点
     */
    private String keyPoint;

    private Long deptId;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}