package com.ruoyi.system.service.carrier.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.annotation.DataScope;
import com.ruoyi.system.domain.carrier.TdCarrierIssued;
import com.ruoyi.system.mapper.carrier.TdCarrierIssuedMapper;
import com.ruoyi.system.mapper.carrier.TdCarrierMapper;
import com.ruoyi.system.service.carrier.TdCarrierIssuedService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
* @author Administrator
* @description 针对表【td_carrier_issued(载体下发)】的数据库操作Service实现
* @createDate 2024-09-24 10:14:48
*/
@Service
public class TdCarrierIssuedServiceImpl extends ServiceImpl<TdCarrierIssuedMapper, TdCarrierIssued>
    implements TdCarrierIssuedService {

    @Resource
    private TdCarrierIssuedMapper tdCarrierIssuedMapper;

    @DataScope(deptAlias = "d")
    @Override
    public List<TdCarrierIssued> selectTdCarrierList(TdCarrierIssued tdCarrierIssued) {
        return tdCarrierIssuedMapper.selectTdCarrierList(tdCarrierIssued);
    }

    @DataScope(deptAlias = "d")
    @Override
    public List<TdCarrierIssued> selectTdCarrierUpdateList(TdCarrierIssued tdCarrierIssued) {
        return tdCarrierIssuedMapper.selectTdCarrierUpdateList(tdCarrierIssued);
    }

    @DataScope(deptAlias = "d")
    @Override
    public List<TdCarrierIssued> selectTdCarrierUserList(TdCarrierIssued tdCarrierIssued) {
        return tdCarrierIssuedMapper.selectTdCarrierUserList(tdCarrierIssued);
    }

    @DataScope(deptAlias = "d")
    @Override
    public List<TdCarrierIssued> selectTdCarrierSaveList(TdCarrierIssued tdCarrierIssued) {
        return tdCarrierIssuedMapper.selectTdCarrierSaveList(tdCarrierIssued);
    }
}




