package com.ruoyi.system.service.place.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.annotation.DataScope;
import com.ruoyi.system.domain.place.TdPlace;
import com.ruoyi.system.mapper.TdMeetingMapper;
import com.ruoyi.system.mapper.place.TdPlaceMapper;
import com.ruoyi.system.service.place.TdPlaceService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
* @author 13560
* @description 针对表【td_place(涉密场所)】的数据库操作Service实现
* @createDate 2024-08-13 15:22:27
*/
@Service
public class TdPlaceServiceImpl extends ServiceImpl<TdPlaceMapper, TdPlace>
    implements TdPlaceService {

    @Resource
    private TdPlaceMapper placeMapper;

    @DataScope(deptAlias = "d")
    @Override
    public List<TdPlace> selectTdPlaceList(TdPlace tdPlace) {
        return placeMapper.selectTdPlaceList(tdPlace);
    }

    @DataScope(deptAlias = "d")
    @Override
    public List<TdPlace> selectTdPlaceChangeList(TdPlace tdPlace) {
        return placeMapper.selectTdPlaceChangeList(tdPlace);
    }
}




