package com.ruoyi.system.domain.check;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 
 * @author 13560
 * @TableName td_check_type
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdCheckType implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 主表id
     */
    private String checkId;

    /**
     * 自查类
     */
    private String checkType;


    /**
     * 自查类名称
     */
    private String typeName;

    /**
     * 自查项类型
     */
    private Long itemsType;


    /**
     * 自查项
     */
    private String checkItems;

    /**
     * 自查内容
     */
    private String typeContent;


    /**
     * 分值
     */
    private String score;


    /**
     * 得分
     */
    private String realScore;

    /**
     * 实有内容:检查了存打钩:1
     */
    private String starts;


    /**
     * 扣分标准
     */
    private String deductionCriteria;

    /**
     * 批注
     */
    private String remark;

    /**
     * 文件地址
     */
    private String fileUrl;

    /**
     * 文件名
     */
    private String fileName;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}