package com.ruoyi.system.domain.check.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;

/**
 * 
 * @author 13560
 * @TableName td_check_type
 */
@Data
@Builder
public class CheckTypeItemDTO implements Serializable {

    /**
     * 自查类
     */
    private String checkType;


    /**
     * 自查类名称
     */
    private String typeName;


    /**
     * 自查项类型
     */
    private Long itemsType;


    /**
     * 自查项
     */
    private String checkItems;


    /**
     * 自查内容
     */
    private String typeContent;


    /**
     * 分值
     */
    private String score;


    /**
     * 得分
     */
    private String realScore;

    /**
     * 实有内容:检查了存打钩:1
     */
    private String starts;


    /**
     * 扣分标准
     */
    private String deductionCriteria;


    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}