package com.ruoyi.system.service.secreting.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.annotation.DataScope;
import com.ruoyi.system.domain.secreting.TdSecreting;
import com.ruoyi.system.mapper.secreting.TdSecretingMapper;
import com.ruoyi.system.service.secreting.TdSecretingService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
* @author Administrator
* @description 针对表【td_secreting】的数据库操作Service实现
* @createDate 2024-10-21 09:37:17
*/
@Service
public class TdSecretingServiceImpl extends ServiceImpl<TdSecretingMapper, TdSecreting>
    implements TdSecretingService {

    @Resource
    private TdSecretingMapper tdSecretingMapper;

    @Override
    @DataScope(deptAlias = "d")
    public List<TdSecreting> selectSecretList(TdSecreting tdSecreting) {
        return tdSecretingMapper.selectSecretList(tdSecreting);
    }
}




